Page MenuHomePhabricator

[Task] Write integration tests that checks the configured handlers for data types.
Closed, InvalidPublic

Description

We need integration tests that make sure that the system's setup effectively leads to the correct handlers (formatters, parsers, validators, etc) to be returned for all well known data formats. The integration test should be cased on the respective factories returned by the top level service locator (OutputFormatSnakFormatterFactory, etc).

Rationale: when refactoring the wiring mechanisms for the services associated with data types, we want to be sure we are not breaking anything. In particular, we want to make sure that the correct validators are applied to input. We also need a way to check that the local setup, including any extensions that register new data types, don't break expected bahavior.

Event Timeline

daniel created this task.Nov 23 2015, 2:10 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 23 2015, 2:10 PM
daniel updated the task description. (Show Details)
daniel set Security to None.
Sumit added a subscriber: Sumit.Sep 11 2016, 4:35 PM

@daniel I think this task requires a good knowledge of Wikidata architecture. As such, do you think it could be pitched as an Outreachy-13 3-month internship project?

The scope requirement is that it should take about 2-3 weeks for an experienced developer to complete.

We generally do not have only tests as projects, but having this could be a good offbeat example, as it requires understanding the testing mechanism and adding significant tests.

If yes, we can feature it for this round's Outreachy internship.

Lydia_Pintscher closed this task as Invalid.Jan 24 2019, 2:38 PM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Closing this to remove tasks from the board that havn't gotten any attention in a long time.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 24 2019, 2:38 PM